Page MenuHomePhabricator

Need support for Echo notification preferences
Closed, ResolvedPublic3 Story Points

Description

As established in T172083: Allow timezone to be global, Echo notification checkboxes (field type HTMLCheckMatrix) aren't currently globalizable.


We'll do one global preference for a set of notification preferences. If people want to use a local exception for notifications, then they'll start with the default on that local wiki, and make changes from there.

Event Timeline

MaxSem created this task.Aug 5 2017, 2:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2017, 2:15 AM
kaldari renamed this task from Need support for Echo notification preferences to Need support for Echo notification preferences .Aug 22 2017, 11:33 PM
kaldari updated the task description. (Show Details)

@DannyH: We need a product decision on this. Do we want one checkbox for the entire matrix, one checkbox per row, or one checkbox per option?

DannyH added a comment.Sep 1 2017, 8:29 PM

We should do this all as one chunk. An extra column of checkboxes, plus allowing for local exceptions, would make this insane.

We'll do one global preference for a set of notification preferences. If people want to use a local exception for notifications, then they'll start with the default on that local wiki, and make changes from there.

MaxSem updated the task description. (Show Details)Sep 1 2017, 8:31 PM

Just to clarify this means that the entire HTMLCheckMatrix will have 1 checkbox for making the entire matrix global.

DannyH updated the task description. (Show Details)Sep 5 2017, 11:13 PM
kaldari triaged this task as Normal priority.Sep 5 2017, 11:14 PM
kaldari set the point value for this task to 3.

Just to clarify this means that the entire HTMLCheckMatrix will have 1 checkbox for making the entire matrix global.

Are you sure this is a good idea? An addition column in the matrix for global checks don't seem that complicated. An idea would be to depart from the standard approach at any HTMLCheckMatrix and to add such a col instead.

Notification settings can be considered as part of the settings that are in particulary many cases changed by many users, so I think a single checkbox doesn't do it justice.

Samwilson edited projects, added Community-Tech-Sprint; removed Community-Tech.
Samwilson moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 378843 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/core@master] Add classes to HTMLCheckMatrix items to identify forced ones

https://gerrit.wikimedia.org/r/378843

Change 378843 merged by jenkins-bot:
[mediawiki/core@master] Add classes to HTMLCheckMatrix items to identify forced ones

https://gerrit.wikimedia.org/r/378843

Change 401893 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/GlobalPreferences@master] Handle CheckMatrix fields

https://gerrit.wikimedia.org/r/401893

Change 401893 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Handle CheckMatrix fields

https://gerrit.wikimedia.org/r/401893

MaxSem closed this task as Resolved.Jan 5 2018, 5:44 PM
TBolliger moved this task from Estimated to Archive on the Community-Tech board.Jan 31 2018, 10:55 PM